VisualEditor: Pressing a modifier key (Ctrl/Alt/Shift/Cmd/etc.) when cursor is offscreen or under the toolbar causes the page to scroll up
Closed, ResolvedPublic

Description

Author: p.selitskas

Description:
Reproducing:

  1. Open the VisualEditor
  2. Put the cursor in a place where "Paragraph" (or whatever else) disappears. (For example, into the ugly and unbearable empty line in pages with infobox at the very beginning.) The content editor must be kept active and cursor blinking.
  3. Scroll it down a bit.
  4. Press Ctrl, Alt, or Shift, or every possible combination of these
  5. See the content editor scroll up step by step (or as many steps per time as many keys are in combination.

I can reproduce this in Chrome 29.0.1547.57 and Firefox 23.0.1 on Windows.


Version: unspecified
Severity: minor

bzimport set Reference to bz53420.
bzimport created this task.Via LegacyAug 27 2013, 8:10 PM
jayvdb added a comment.Via ConduitOct 30 2013, 7:12 AM

fwiw, this is still happening.

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:28 PM
Neil_P._Quinn_WMF closed this task as "Resolved".Via WebJul 24 2015, 5:41 PM
Neil_P._Quinn_WMF claimed this task.

Seems to be fixed now.

Neil_P._Quinn_WMF placed this task up for grabs.Via WebJul 24 2015, 5:41 PM
Neil_P._Quinn_WMF set Security to None.
Jdforrester-WMF set Story Points to 8.Via WebWed, Aug 5, 12:18 AM

Add Comment